## StIcon StIcon — a simple styled icon actor |

## Functions

ClutterActor * | st_icon_new ()
const gchar * | st_icon_get_icon_name ()
void | st_icon_set_icon_name ()
void | st_icon_set_icon_type ()
StIconType | st_icon_get_icon_type ()
gint | st_icon_get_icon_size ()
void | st_icon_set_icon_size ()
void | st_icon_set_gicon ()
GIcon * | st_icon_get_gicon ()

## Properties

GIcon * | gicon | Read / Write
char * | icon-name | Read / Write
int | icon-size | Read / Write
StIconType | icon-type | Read / Write

## Types and Values

| StIcon

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── ClutterActor
                ╰── StWidget
                    ╰── StIcon

## Implemented Interfaces

StIcon implements ClutterContainer, ClutterScriptable, ClutterAnimatable and AtkImplementorIface.

## Description

StIcon is a simple styled texture actor that displays an image from a stylesheet.

## Functions

### st_icon_new ()

    ClutterActor *
    st_icon_new (void);

Create a newly allocated StIcon

#### Returns

A newly allocated StIcon

### st_icon_get_icon_name ()

    const gchar *
    st_icon_get_icon_name (StIcon *icon);

### st_icon_set_icon_name ()

    void
    st_icon_set_icon_name (StIcon *icon,
                           const gchar *icon_name);

### st_icon_set_icon_type ()

    void
    st_icon_set_icon_type (StIcon *icon,
                           StIconType icon_type);

Sets the type of icon we'll look up to display in the actor. The icon type determines whether we use a symbolic icon or a full color icon and also is used for specific handling for application and document icons.

#### Parameters

icon | a StIcon |
icon_type | the type of icon to use |

### st_icon_get_icon_type ()

    StIconType
    st_icon_get_icon_type (StIcon *icon);

Gets the type of icon we'll look up to display in the actor. See `st_icon_set_icon_type()`.

#### Parameters

icon | a StIcon |

#### Returns

the icon type.

### st_icon_get_icon_size ()

    gint
    st_icon_get_icon_size (StIcon *icon);

Gets the size explicit size on the icon. This is not necesariily the size that the icon will actually be displayed at.

#### Parameters

icon | an icon |

#### Returns

the size explicitly set, or -1 if no size has been set

### st_icon_set_icon_size ()

    void
    st_icon_set_icon_size (StIcon *icon,
                           gint size);

Sets an explicit size for the icon.

#### Parameters

icon | an icon |
size | if positive, the new size, otherwise the size will be derived from the current style |

### st_icon_set_gicon ()

    void
    st_icon_set_gicon (StIcon *icon,
                       GIcon *gicon);

#### Parameters

icon | an icon |
gicon | a GIcon to override :icon-name. | [allow-none]

### st_icon_get_gicon ()

    GIcon *
    st_icon_get_gicon (StIcon *icon);

#### Parameters

icon | an icon |

#### Returns

the override GIcon, if set, or NULL.

[transfer none]

## Types and Values

### StIcon

    typedef struct _StIcon StIcon;

The contents of this structure are private and should only be accessed through the public API.

## Property Details

### The `“gicon”` property

      “gicon”                    GIcon *

A GIcon to override :icon-name.

Owner: StIcon

Flags: Read / Write

### The `“icon-name”` property

      “icon-name”                char *

An icon name.

Owner: StIcon

Flags: Read / Write

Default value: NULL

### The `“icon-size”` property

      “icon-size”                int

The size if the icon, if positive. Otherwise the size will be derived from the current style.

Owner: StIcon

Flags: Read / Write

Allowed values: >= -1

Default value: -1

### The `“icon-type”` property

      “icon-type”                StIconType

The type of icon that should be used.

Owner: StIcon

Flags: Read / Write

Default value: ST_ICON_SYMBOLIC